% -------------------------------------------------------------------------
% copyright :   (c) 2014 Przemyslaw Musialski
% email     :   pm@cg.tuwien.ac.at
% created   :   22/11/2014
% edited    :   22/11/2014
% -------------------------------------------------------------------------
function [ vs ] = comp_volume_3d( m1 )

% get counters
nf   = length(m1.f);

% get points in 3-block (for each triangle)
p   = m1.v(m1.f,:);

% reorder points, each row is a triangle, each column is a coordinate (fnx9)
t1   = p(1:nf,:);
t2   = p(nf+1:2*nf,:);
t3   = p(2*nf+1:3*nf,:);

% compute volume per tet using [Zhang and Chen 2001]
vt =( -t3(:,1).*t2(:,2).*t1(:,3) + ...
    t2(:,1).*t3(:,2).*t1(:,3) + ...
    t3(:,1).*t1(:,2).*t2(:,3) - ...
    t1(:,1).*t3(:,2).*t2(:,3) - ...
    t2(:,1).*t1(:,2).*t3(:,3) + ...
    t1(:,1).*t2(:,2).*t3(:,3))/6;

% total volume of tets
vs = sum(vt);
end