% -------------------------------------------------------------------------
% copyright :   (c) 2014-2015 Przemyslaw Musialski
% email     :   pm@cg.tuwien.ac.at
% created   :   26/04/2015
% edited    :   26/04/2015
% -------------------------------------------------------------------------

% figure overview
% -----------------
clear;
save_text   = 1;
save_mesh   = 1;
shapes      = {};

    filename        = 'armadillo2_3_ears';
    folder          = './data/results/armadillo2/';    
    basis_k         = 36;
    radius          = 0.2;

if 1 % standing armadillo single displacement
    
    comment         = ['k',num2str(basis_k),'_r',num2str(radius),'_0.2mm'],...;
    
    s1 = comp_combined_offsetSurface3d(filename,...
        'comment',      comment,...
        'approach',     1,...
        'costfun',      'stand',... % 'none';filled_bottle
        'radii',        [ radius, radius ], ... %kugeln:[ 0.1841, 0.1841 ], bottle: [0.41] 
        'weights',      [ 0.0, 1.0, 0.0, 0.0, 1.0, 1e-2 ], ... %%'weights',      [ 1.0, 1.0, 0.0, 0.0, 1.0, 1e-2 ], ...
        'bounds',       [ 0.02, 0.99, 0.02, 0.1 ], ...
        'constoffset',  [ 0.0, 0.0 ], ...   % fixed offset added absolut on each surface respective
        'cutplaneso',   [  ], ...           % outer surface [lower,upper] cut-planes: vertices [below,above] will be set to values         
        'cutvalo',      [ 0.0, 0.0 ], ...   % cut values fuer die [lower,upper] cuts      
        'cutplanesi',   [ ], ...            % inner surface [lower,upper] cut-planes:        
        'cutvali',      [ 0.0, 0.0 ], ...   % cut values fuer die [lower,upper] cuts        
        'gradient',     'on', ...
        'max_bound',    'mcf', ... %'boundary'
        'basis_k',      basis_k,...
        'lap_weight',   'simple',... %'simple', general
        'rho',          [ 1.0, 1.0 ], ...
        'save_text',    save_text,...
        'save_mesh',    save_mesh,...
        'usenormals',   [0, 0],...
        'solver',       'active-set',... %interior-point
        'folder',       folder);
    shapes{1} = s1;
    
    figure, plot_shape3d( s1 );
end

if 1 % standing armadillo double displacement
        
    comment         = ['k',num2str(basis_k),'_r',num2str(radius),'_0.4mm'],...;
    
    s1 = comp_combined_offsetSurface3d(filename,...
        'comment',      comment,...
        'approach',     2,...
        'costfun',      'stand',... % 'none';filled_bottle
        'radii',        [ radius, radius ], ... %kugeln:[ 0.1841, 0.1841 ], bottle: [0.41] 
        'weights',      [ 0.0, 1.0, 0.0, 0.0, 1.0, 1e-2 ], ... %%'weights',      [ 1.0, 1.0, 0.0, 0.0, 1.0, 1e-2 ], ...
        'bounds',       [ 0.03, 0.99, 0.01, 0.05 ], ...
        'constoffset',  [ 0.0, 0.0 ], ...   % fixed offset added absolut on each surface respective
        'cutplaneso',   [  ], ...           % outer surface [lower,upper] cut-planes: vertices [below,above] will be set to values         
        'cutvalo',      [ 0.0, 0.0 ], ...   % cut values fuer die [lower,upper] cuts      
        'cutplanesi',   [ ], ...            % inner surface [lower,upper] cut-planes:        
        'cutvali',      [ 0.0, 0.0 ], ...   % cut values fuer die [lower,upper] cuts        
        'gradient',     'on', ...
        'max_bound',    'mcf', ... %'boundary'
        'basis_k',      basis_k,...
        'lap_weight',   'simple',... %'simple', general
        'rho',          [ 1.0, 1.0 ], ...
        'save_text',    save_text,...
        'save_mesh',    save_mesh,...
        'usenormals',   [0, 0],...
        'solver',       'active-set',... %interior-point
        'folder',       folder);
    shapes{2} = s1;
    
    figure(1), plot_shape3d( s1 );
end



