% -------------------------------------------------------------------------
% copyright :   (c) 2014-2015 Przemyslaw Musialski
% email     :   pm@cg.tuwien.ac.at
% created   :   22/11/2014
% edited    :   10/01/2015
% -------------------------------------------------------------------------

% figure overview
% -----------------
clear;
save_text   = 1;
save_mesh   = 1;
shapes      = {};
fixed = [];
    
    radius = 0.05; % 0.37; %new bottle: 7cm, radius=0.88 
    filename        = 'box2_8_stand';
    folder          = './data/results/box2_8/'; 
    

if 1 % standing box empty
    
    k = 42;
    
    s = comp_combined_offsetSurface3d(filename,...
        'comment',      ['k',num2str(k),'_r',num2str(radius)],...
        'approach',     1,...
        'costfun',      'stand',... % 'none';bottle stand
        'radii',        [ radius, radius ], ... %kugeln:[ 0.1841, 0.1841 ], bottle: [0.41] 
        'weights',      [ 0.0, 1.0, 0.0, 0.0, 1.0, 1e-2 ], ... %%'weights',      [ 1.0, 1.0, 0.0, 0.0, 1.0, 1e-2 ], ...
        'bounds',       [ 0.1, 0.99, 0.05, 0.2 ], ... %[ 0.03, 0.96, 0.03, 0.1 ], ...
        'constoffset',  [ 0.00, 0.00 ], ... % fixed offset added absolut on each surface respective                  
        'fixpointsi',   fixed, ...        
        'fixpointso',   fixed, ...        
        'fixvaluesi',   0*ones(size(fixed)), ...     
        'fixvalueso',   0*ones(size(fixed)), ...                             
        'cutplaneso',   [  ], ...  % outer surface cut-planes (lower/upper)
        'cutvalo',      [  ], ...   % cut values fuer die [lower,upper] cuts
        'cutplanesi',   [  ], ...  % inner surface cut-planes, [] for off
        'cutvali',      [  0.0, 0.0 ], ...   % cut values fuer die [lower,upper] cuts         
        'gradient',     'on', ...
        'max_bound',    'contraction', ... %'boundary' mcf contraction
        'basis_k',      k,...
        'rho',          [ 1.0, 1.0 ], ... % water:[ 1.04, 1.00 ], alk:[ 1.04, 0.78 ] 
        'save_text',    save_text,...
        'save_mesh',    save_mesh,...
        'bottomplane',  [  ], ... % disallow displacements below the second value (e.g., ground-plane)
        'folder',       folder);
            
    shapes{1} = s;    
    figure(1), plot_shape3d( s );
end
