% -------------------------------------------------------------------------
% copyright :   (c) 2014-2015 Przemyslaw Musialski
% email     :   pm@cg.tuwien.ac.at
% created   :   22/11/2014
% edited    :   10/01/2015
% -------------------------------------------------------------------------

% figure overview
% -----------------
clear;
save_text   = 1;
save_mesh   = 1;
shapes      = {};

if 1 % fish test
         
    filename        = 'fish2_22';
    folder          = './data/results/fish2';
    
    % scale factor 2.6!
    % 0.04 x 2.6 = 0.104 cm
    % w1 = latteral width
    % w2 = volumen
    % w3 = minimize center (less important)
    % w4 = maximize distance: center of G must be low (less important)
    % w6 = outer penalizer
    
    % density:
    % C2H5OH: 0.79
    % ABS+ solid: 1.04
    % ABS+ printed dry: 0.98
    % ABS+ printed wet: 1.03
    % Polyjet: 1.18 - 1.19 ( --> 1.20)
    
    % weights
    w = [ 0.0, 100.0, 1.0, 10.0, 0.0, 1e-2 ];
    k = 36;
    
    % use values below for water
    rho = [ 1.20, 1.0 ];
    comment = ['H2O_k[',num2str(k),']_w2[',num2str(w(2)),']_w4[',num2str(w(4)),']_rho[',num2str(100*rho(1)),'-',num2str(100*rho(2)),']'];
    
    % use values below for Alcohol
    %rho = [ 1.20, 0.80 ];
    %comment = ['C2H5OH_k[',num2str(k),']_w2[',num2str(w(2)),']_w4[',num2str(w(4)),']_rho[',num2str(100*rho(1)),'-',num2str(100*rho(2)),']'];
    
    s1 = comp_combined_offsetSurface3d(filename,...
        'comment',      comment,...
        'approach',     2,...
        'costfun',      'fish',... % 'none';filled_bottle 
        'radii',        [ 0.0, 0.1 ], ... % the second value is how far the bouyancy point 
        'weights',      w, ... %%'weights',      [ 1.0, 1.0, 0.0, 0.0, 1.0, 1e-2 ], ...
        'bounds',       [ 0.01, 0.95, 0.03, 0.1 ], ...
        'constoffset',  [ 0.00, 0.00 ], ... % fixed offset added absolut on each surface respective
        'cutplaneso',   [  ], ...           % outer surface [lower,upper] cut-planes: vertices [below,above] will be set to values         
        'cutvalo',      [ 0.0, 0.0 ], ...   % cut values fuer die [lower,upper] cuts      
        'cutplanesi',   [ ], ...            % inner surface [lower,upper] cut-planes:        
        'cutvali',      [ 0.0, 0.0 ], ...   % cut values fuer die [lower,upper] cuts        
        'gradient',     'on', ...
        'max_bound',    'contraction', ... %'boundary'
        'basis_k',      k,...
        'lap_weight',   'simple',... %'simple', general
        'rho',          rho, ... %0.78 ], ... % alk: 0.78, Polyjet: 1.18
        'save_text',    save_text,...
        'save_mesh',    save_mesh,...
        'usenormals',   [0, 1],...
        'folder',       folder);
    shapes{1} = s1;  
    
    %%
    figure(1), plot_shape3d( s1 );
end

