% -------------------------------------------------------------------------
% copyright :   (c) 2014-2015 Przemyslaw Musialski
% email     :   pm@cg.tuwien.ac.at
% created   :   22/11/2014
% edited    :   29/08/2015
% -------------------------------------------------------------------------

% figure overview
% -----------------
clear;
save_text   = 1;
save_mesh   = 1;
shapes      = {};


if 1 % standing up rabbit
    
    filename        = 'rabbit2_2';
    folder          = './data/results/quicktest/';
    comment         = 'rom';
    
    s1 = comp_combined_offsetSurface3d(filename,...
        'comment',      comment,...
        'approach',     1,...
        'costfun',      'stand',... % 'none';filled_bottle
        'radii',        [ 0.0, 0.0 ], ... %kugeln:[ 0.1841, 0.1841 ], bottle: [0.41] 
        'weights',      [ 0.0, 1.0, 0.0, 0.0, 1.0, 1e-2 ], ... %%'weights',      [ 1.0, 1.0, 0.0, 0.0, 1.0, 1e-2 ], ...
        'bounds',       [ 0.02, 0.5, 0.02, 0.2 ], ...
        'constoffset',  [ 0.00, 0.02 ], ... % fixed offset added absolut on each surface respective
        'cutplaneso',   [  ], ...           % outer surface [lower,upper] cut-planes: vertices [below,above] will be set to values         
        'cutvalo',      [ 0.0, 0.0 ], ...   % cut values fuer die [lower,upper] cuts      
        'cutplanesi',   [ ], ...            % inner surface [lower,upper] cut-planes:        
        'cutvali',      [ 0.0, 0.0 ], ...   % cut values fuer die [lower,upper] cuts        
        'gradient',     'on', ...
        'max_bound',    'contraction', ... %'boundary'
        'basis_k',      24,...
        'lap_weight',   'simple',... %'simple', general
        'rho',          [ 1.0, 1.0 ], ...
        'save_text',    save_text,...
        'save_mesh',    save_mesh,...
        'usenormals',   [1, 1],...
        'folderin',     './',...
        'folder',       folder);
    shapes{1} = s1;
    
    figure, plot_shape3d( s1 );
end


if 1 % spin quick test!
    
    filename        = 'ellipsoid2_3';
    folder          = './data/results/quicktest/';

    s1 = comp_combined_offsetSurface3d(filename,...
        'comment',      'spin_test',...
        'lap_weight',   'simple', ... % simple area
        'approach',     1,...
        'costfun',      'spin',... % 'none';
        'weights',      [ 1.0, 1.0, 10.0, 0.0, 1.0, 1e-1 ], ... %[ 1.0, 1.0, 10.0, 0.0, 1.0, 1e-1 ], ...
        'bounds',       [ 0.04, 0.95, 0.0, 0.10 ], ...
        'constoffset',  [ 0.00, 0.00 ], ... % fixed offset added absolut on each surface respective
        'cutplaneso',   [  ], ...           % outer surface cut-planes
        'cutplanesi',   [  ], ...           % inner surface cut-planes
        'cutvali',      [ 0.0, 0.0 ], ...   % cut values fuer die [lower,upper] cuts
        'cutvalo',      [ 0.0, 0.0 ], ...   % cut values fuer die [lower,upper] cuts
        'gradient',     'on', ...
        'max_bound',    'contraction', ... %'boundary'
        'lap_weight',   'general',... %'simple', general
        'basis_k',      24,...
        'save_text',    save_text,...
        'save_mesh',    save_mesh,...
        'folderin',     './',...
        'folder',       folder);
    shapes{1} = s1;
    
    figure(2), plot_shape3d( s1 );
end


