% -------------------------------------------------------------------------
% copyright :   (c) 2014-2015 Przemyslaw Musialski
% email     :   pm@cg.tuwien.ac.at
% created   :   22/11/2014
% edited    :   10/01/2015
% -------------------------------------------------------------------------

% figure overview
% -----------------
clear;
save_text   = 1;
save_mesh   = 1;
shapes      = {};

if 1 % standup
        
    filename        = 'rabbit2_3';
    folder          = './data/results/rabbit2';
    comment         = 'rabbit3-stand';
    % scale factor 3!
    % 0.15 = 0.05!
    
    s1 = comp_combined_offsetSurface3d(filename,...
        'comment',      comment,...
        'approach',     1,...
        'costfun',      'standup',... % 'none';filled_bottle 
        'radii',        [ 0.0, 2.8 ], ... %kugeln:[ 0.1841, 0.1841 ], bottle: [0.41] 
        'weights',      [ 0.0, 1.0, 0.0, 0.0, 1.0, 1e-2 ], ... %%'weights',      [ 1.0, 1.0, 0.0, 0.0, 1.0, 1e-2 ], ...
        'bounds',       [ 0.02, 1.0, 0.0, 0.2 ], ...
        'constoffset',  [ 0.00, 0.01 ], ... % fixed offset added absolut on each surface respective
        'cutplaneso',   [  ], ...           % outer surface [lower,upper] cut-planes: vertices [below,above] will be set to values         
        'cutvalo',      [ 0.0, 0.0 ], ...   % cut values fuer die [lower,upper] cuts      
        'cutplanesi',   [ ], ...            % inner surface [lower,upper] cut-planes:        
        'cutvali',      [ 0.0, 0.0 ], ...   % cut values fuer die [lower,upper] cuts        
        'gradient',     'on', ...
        'max_bound',    'contraction', ... %'boundary'
        'basis_k',      36,...
        'rho',          [ 1.0, 1.0 ], ...
        'save_text',    save_text,...
        'shiftY',       1,...
        'save_mesh',    save_mesh,...
        'usenormals',   [1, 1],...
        'folder',       folder);
    shapes{1} = s1;
    
    figure(1), plot_shape3d( s1 );
end




